package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.IBZPSSYSUNIRES;
import cn.ibizlab.core.uaa.filter.IBZPSSYSUNIRESSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBZPSSYSUNIRES] 服务对象接口
 */
public interface IIBZPSSYSUNIRESService extends IService<IBZPSSYSUNIRES>{

    boolean save(IBZPSSYSUNIRES et) ;
    void saveBatch(List<IBZPSSYSUNIRES> list) ;
    boolean update(IBZPSSYSUNIRES et) ;
    void updateBatch(List<IBZPSSYSUNIRES> list) ;
    boolean checkKey(IBZPSSYSUNIRES et) ;
    IBZPSSYSUNIRES get(String key) ;
    boolean create(IBZPSSYSUNIRES et) ;
    void createBatch(List<IBZPSSYSUNIRES> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBZPSSYSUNIRES getDraft(IBZPSSYSUNIRES et) ;
    Page<IBZPSSYSUNIRES> searchDefault(IBZPSSYSUNIRESSearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


